Page MenuHomePhabricator

<textarea> is too tall in some circumstances
Closed, ResolvedPublic1 Story Points

Description

Edit window is too high and it can't be reduced. Option to set the height is gone. Height can be reduced in Firefox.

Report at w:no:Wikipedia:Torget#Høyde i redigeringsvindu, wikitekst.
Verified to be like the user said.

Not all users have large monitors, and a whole lot of users are editing from small laptops. If the option is removed, then text elements with changed heights must be remembered on each device.

Event Timeline

jeblad created this task.Jan 21 2017, 12:27 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 21 2017, 12:27 PM
jeblad renamed this task from Complaint from user at nowiki, edit element to high in Chrome to Complaint from user at nowiki, text element to high in Chrome.Jan 21 2017, 12:29 PM
jeblad updated the task description. (Show Details)
matmarex added a subscriber: matmarex.

Sorry for late response. Yeah, the option to set the number of rows shown in the edit area has been removed recently (T26430) and announced in Tech News 2017/03.

We should probably make sure the text field is not higher than the browser's viewport.

Out of curiosity, do you know what is the user's screen resolution is? I think the usual for low-end laptops these days is 1366x768, I tried and I don't have the problem at this size. Although a lot can depend on fonts, zoom and such.

Change 335172 had a related patch set uploaded (by Bartosz Dziewoński):
Ensure the editing textarea is not higher than browser's viewport

https://gerrit.wikimedia.org/r/335172

matmarex triaged this task as Normal priority.Feb 7 2017, 7:33 PM
Jdforrester-WMF renamed this task from Complaint from user at nowiki, text element to high in Chrome to <textarea> is too high in some circumstances.Feb 14 2017, 1:48 AM
Jdforrester-WMF added a project: VisualEditor.
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.
jeblad added a comment.EditedFeb 26 2017, 9:38 PM

The archived complaint is at no:Wikipedia:Torget#Høyde i redigeringsvindu, wikitekst

It is a new complaint at no:Wikipedia:Torget#Konsekvenser av dårlig verktøy. This thread has pretty harsh remaks and mention "rollback".

Kjetil added a subscriber: Kjetil.Feb 26 2017, 9:47 PM

This is an approximation for what should be shown.

By sacrificing char insert box it will be possible to scale the text somewhat.

The set size should be saved to local storage, so it should not be necessary to resize the window each and every time the user starts editing.

Krinkle renamed this task from <textarea> is too high in some circumstances to <textarea> is too tall in some circumstances.Mar 3 2017, 11:01 PM
Krinkle updated the task description. (Show Details)

Change 335172 merged by jenkins-bot:
[mediawiki/core] Ensure the editing textarea is not higher than browser's viewport

https://gerrit.wikimedia.org/r/335172

matmarex closed this task as Resolved.Mar 17 2017, 9:40 AM
matmarex edited projects, added Contributors-Team; removed VisualEditor, Patch-For-Review.